ios - Xcode ne s'ouvre pas après la mise à jour vers MacOS Catalina




(2)

J'ai mis à jour MacOS Catalina et maintenant mon Xcode ne s'ouvre pas. Je reçois cette invite:

Ce qui conduit à cette erreur après avoir obtenu un accès root:

Il y a un gros journal, mais les principales erreurs sont les suivantes:

2019-11-04 12: 39: 48 + 05 tk_lpt_0141_wifi Xcode [1214]: Package: PKLeopardPackage Impossible de vérifier avec l'erreur: Domain Error = PKInstallErrorDomain Code = 102 "Le package« MobileDeviceDevelopment.pkg »n'a pas été approuvé." UserInfo = {NSLocalizedDescription = Le package «MobileDeviceDevelopment.pkg» n'est pas approuvé., NSURL = MobileDeviceDevelopment.pkg - fichier: ///Applications/Xcode.app/Contents/Resources/Packages/, PKInstallPackageIdentifier = com.application. , NSUnderlyingError = 0x7fe07012cad0 {Error Domain = NSOSStatusErrorD Code = -2147409654 "CSSMERR_TP_CERT_EXPIRED"

13: 01: 20 + 05 tk_lpt_0141_wifi Xcode [1306]: Package: PKLeopardPackage Impossible de vérifier avec l'erreur: Domain Error = PKInstallErrorDomain Code = 102 "Le package« MobileDeviceDevelopment.pkg »n'est pas approuvé." UserInfo = {NSLocalizedDescription = Le package «MobileDeviceDevelopment.pkg» n'est pas approuvé., NSURL = MobileDeviceDevelopment.pkg - fichier: ///Applications/Xcode.app/Contents/Resources/Packages/, PKInstallPackageIdentifier = com.application. , NSUnderlyingError = 0x7fd230cb1 e0 {Error Domain = NSOSStatus =

13: 29: 51 + 05 tk_lpt_0141_wifi Xcode [1377]: Package: PKLeopardPackage Impossible de vérifier avec l'erreur: Domain Error = PKInstallErrorDomain Code = 102 "Le package« MobileDeviceDevelopment.pkg »n'est pas approuvé." UserInfo = {NSLocalizedDescription = Le package «MobileDeviceDevelopment.pkg» n'est pas approuvé., NSURL = MobileDeviceDevelopment.pkg - fichier: ///Applications/Xcode.app/Contents/Resources/Packages/, PKInstallPackageIdentifier = com.application. , NSUnderlyingError = 0x7f8ab8ba9380 {Domaine d'erreur = NSOSStatusErrorDomain Code = -2147409654 "CSSMERR_TP_CERT_EXPIRED"

J'ai déjà essayé:

xcode-select --install

et

xcode-select --reset

Quelqu'un d'autre a-t-il rencontré ce problème? Comment le réparer?


Ce qui a fonctionné pour moi a été la mise à jour de Xcode dans l’App Store. Après cela, j'ai pu installer les composants supplémentaires avec succès.


Modifiez simplement votre date MacOS en

1st October 2019

J'ai défini l'heure système au 1st October 2019 date à laquelle le certificat aurait dû être encore valide. Après cela, j’ai essayé d’ouvrir Xcode et de suivre l’installation du composant qui s’est bien déroulée et je peux maintenant travailler à nouveau avec Xcode.

Modifiez et fixez la date de votre Mac au 1st October 2019 .







xcode